﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace test
{
	public partial class Form1 : Form
	{
		public Form1()
		{
			InitializeComponent();
			this.treeView1.Nodes.Add(new TreeNodeEx("Root", new Info()));
		}

		private void treeView1_AfterSelect(object sender, TreeViewEventArgs e)
		{
			this.textBox1.Text = ((TreeNodeEx)e.Node)._info.syumi;
		}

		private void button1_Click(object sender, EventArgs e)
		{
			this.treeView1.SelectedNode.Nodes.Add(new TreeNodeEx("新規項目", new Info()));
		}

		private void button2_Click(object sender, EventArgs e)
		{
			((TreeNodeEx)treeView1.SelectedNode)._info.syumi = this.textBox1.Text;
		}
	}


	public class Info
	{
		public Info()
		{
			this.syumi = "";
		}
		public string syumi { get; set; }
	}

	public class TreeNodeEx : TreeNode
	{
		public Info _info { get; set; }

		public TreeNodeEx(string text, Info info)
			: base(text)
		{
				_info = info;
		}
	}
}
